.with-tooltip {
    display: flex;
    flex-direction: column;

    .tooltip {
        padding: 0.25rem;
        color: $color-grey-06;
        font-size: 12px;
    }

    @include desktop {
        display: inline-block;
        position: relative;

        >label:hover+.tooltip {
            visibility: visible;
        }

        .tooltip {
            display: -webkit-box;
            -webkit-box-orient: vertical;
            min-width: 130px;
            // position tooltip
            visibility: hidden;
            transform: translate3d(0, -50%, 0);
            z-index: 1;
            position: absolute;
            top: 50%;
            left: 100%;

            // tooltip styles
            text-align: center;
            padding: 0.45rem 0.45rem 0.25rem;
            background-color: $color-white-01;
            border: 1px solid $color-blue-01;
            border-radius: 5px;
            line-height: 1.3;
            margin-left: 10px;

            &::before {
                // position before
                content: "";
                position: absolute;
                transform: rotate(45deg);
                width: 9px;
                height: 9px;
                top: 0;
                bottom: 0;
                left: -5px;
                margin: auto 0;

                // before styles
                background-color: $color-white-01;
                border-left: 1px solid $color-blue-01;
                border-bottom: 1px solid $color-blue-01;
            }
        }
    }
}